package com.zbf.system.service.impl;

import java.util.List;
import com.zbf.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl; //添加
import com.zbf.system.mapper.TBaseGoodsBomMapper;
import com.zbf.system.domain.TBaseGoodsBom;
import com.zbf.system.service.ITBaseGoodsBomService;

/**
 * 物料bomService业务层处理
 *
 * @author tony
 * @date 2024-06-16
 */
@Service
public class TBaseGoodsBomServiceImpl extends ServiceImpl<TBaseGoodsBomMapper, TBaseGoodsBom> implements ITBaseGoodsBomService //修改
{
    @Autowired
    private TBaseGoodsBomMapper tBaseGoodsBomMapper;

    /**
     * 查询物料bom
     *
     * @param id 物料bom主键
     * @return 物料bom
     */
    @Override
    public TBaseGoodsBom selectTBaseGoodsBomById(Long id)
    {
        return tBaseGoodsBomMapper.selectTBaseGoodsBomById(id);
    }

    /**
     * 查询物料bom列表
     *
     * @param tBaseGoodsBom 物料bom
     * @return 物料bom
     */
    @Override
    public List<TBaseGoodsBom> selectTBaseGoodsBomList(TBaseGoodsBom tBaseGoodsBom)
    {
        return tBaseGoodsBomMapper.selectTBaseGoodsBomList(tBaseGoodsBom);
    }

    /**
     * 新增物料bom
     *
     * @param tBaseGoodsBom 物料bom
     * @return 结果
     */
    @Override
    public int insertTBaseGoodsBom(TBaseGoodsBom tBaseGoodsBom)
    {
        tBaseGoodsBom.setCreateTime(DateUtils.getNowDate());
        return tBaseGoodsBomMapper.insertTBaseGoodsBom(tBaseGoodsBom);
    }

    /**
     * 修改物料bom
     *
     * @param tBaseGoodsBom 物料bom
     * @return 结果
     */
    @Override
    public int updateTBaseGoodsBom(TBaseGoodsBom tBaseGoodsBom)
    {
                tBaseGoodsBom.setUpdateTime(DateUtils.getNowDate());
        return tBaseGoodsBomMapper.updateTBaseGoodsBom(tBaseGoodsBom);
    }

    /**
     * 批量删除物料bom
     *
     * @param ids 需要删除的物料bom主键
     * @return 结果
     */
    @Override
    public int deleteTBaseGoodsBomByIds(Long[] ids)
    {
        return tBaseGoodsBomMapper.deleteTBaseGoodsBomByIds(ids);
    }

    /**
     * 删除物料bom信息
     *
     * @param id 物料bom主键
     * @return 结果
     */
    @Override
    public int deleteTBaseGoodsBomById(Long id)
    {
        return tBaseGoodsBomMapper.deleteTBaseGoodsBomById(id);
    }


    /**
     * 批量禁用
     *
     * @param id 物料bom主键
     * @return 结果
     */
    @Override
    public int disabledTBaseGoodsBomByIds(Long[] ids) {
        return tBaseGoodsBomMapper.disabledTBaseGoodsBomByIds(ids);
    }

    /**
     * 批量启用
     *
     * @param id 物料bom主键
     * @return 结果
     */
    @Override
    public int enableTBaseGoodsBomByIds(Long[] ids) {
        return tBaseGoodsBomMapper.enableTBaseGoodsBomByIds(ids);
    }

    /**
     * 修改状态
     *
     * @param tBaseGoodsBom 工序管理主键
     * @return 结果
     */
    @Override
    public int updateStatus(TBaseGoodsBom tBaseGoodsBom) {
        return tBaseGoodsBomMapper.updateTBaseGoodsBom(tBaseGoodsBom);
    }

}
